import { NeSoftInputDirective } from "./input.directive";
import { NeSoftPrefixDirective } from "./prefix.directive";
import { NeSoftSuffixDirective } from "./suffix.directive";
import { NeSoftRadioComponent } from "./radio/radio.component";
import { NeSoftCheckboxComponent } from "./checkbox/checkbox.component";
import { NeSoftInputReferenceComponent } from "./reference/reference.component";
import * as i0 from "@angular/core";
export declare class NeSoftInputComponent {
    labelText: string;
    inputControl?: NeSoftInputDirective;
    prefixControl?: NeSoftPrefixDirective;
    suffixControl?: NeSoftSuffixDirective;
    referenceInput?: NeSoftInputReferenceComponent;
    radioInput?: NeSoftRadioComponent;
    checkboxInput?: NeSoftCheckboxComponent;
    get required(): boolean | undefined;
    get noPrefix(): boolean;
    get noSuffix(): boolean;
    get isPwd(): boolean;
    showPwd: boolean;
    get noLabelPadding(): boolean;
    changeInputType(): void;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NeSoftInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NeSoftInputComponent, "nesoft-input", never, { "labelText": "labelText"; }, {}, ["inputControl", "prefixControl", "suffixControl", "referenceInput", "radioInput", "checkboxInput"], ["[nesoftPrefix]", "[nesoftInput]", "nesoft-radio", "nesoft-checkbox", "nesoft-reference", "nesoft-input-error", "[nesoftSuffix]"], false>;
}
