import { AfterViewInit, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class NeSoftCheckboxComponent implements OnInit, AfterViewInit, ControlValueAccessor, Validator {
    lineLeft: ElementRef;
    lineRight: ElementRef;
    onChange: any;
    onTouch: any;
    mvalue: boolean;
    required: boolean;
    centralize: boolean;
    disabled: boolean;
    controlLoaded: boolean;
    set ngModel(value: boolean);
    get ngModel(): boolean;
    ngModelChange: EventEmitter<any>;
    constructor();
    ngAfterViewInit(): void;
    ngOnInit(): void;
    drawCheckbox(): void;
    setNgModel(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(obj: any): void;
    validate(control: AbstractControl): ValidationErrors | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<NeSoftCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NeSoftCheckboxComponent, "nesoft-checkbox", never, { "required": "required"; "centralize": "centralize"; "disabled": "disabled"; "ngModel": "ngModel"; }, { "ngModelChange": "ngModelChange"; }, never, never, false>;
}
